Batch Real-Time Kline
Batch historical and real-time K-line data for multiple forex currency pairs, covering complete OHLC price sequences for multiple currencies including EUR, GBP, JPY, CHF. Supports multiple time periods from minute charts to monthly charts, providing standardized timestamps, opening prices, highest prices, lowest prices, and closing prices data.
Real-Time Kline
/forex/klinesRequest Parameters
regionenumRequiredMarket code
codesstringRequiredProduct code(s). Separate multiple products with commas. The maximum supported quantity varies by plan: Base: 10, Professional: 20, Premium: 50, Enterprise: custom
kTypeenumRequiredInterval: 1 minute, 2 five minutes, 3 fifteen minutes, 4 thirty minutes, 5 one hour, 8 one day, 9 one week, 10 one month
limitstringRequiredNumber of records to query
Response Parameters
codenumberResponse code
msgstringResponse description
dataarray(object)▶Response result
tunumberTransaction amount
cnumberClosing price of the Kline
tnumberTimestamp
vnumberTransaction volume
hnumberHighest price of the Kline
lnumberLowest price of the Kline
onumberOpening price of the Kline
Code Examples
import requests
url = "https://api.itick.org/forex/klines?region=GB&codes=EURUSD,GBPUSD&kType=2&limit=5"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
https://api.itick.org/forex/klines?region=GB&codes=EURUSD,GBPUSD&kType=2&limit=5, Run query
Response Result
{
"code": 0,
"msg": null,
"data": {
"EURUSD": [
{
"tu": 1108.4808,
"c": 1.08058,
"t": 1741239000000, // 2025-03-06 05:30:00 UTC
"v": 1026,
"h": 1.08064,
"l": 1.08016,
"o": 1.08023
}
],
"GBPUSD": [
{
"tu": 1131.40863,
"c": 1.29028,
"t": 1741239000000, // 2025-03-06 05:30:00 UTC
"v": 877,
"h": 1.29031,
"l": 1.28982,
"o": 1.28986
}
]
}
}